From 3a77a0e5ae442f061667bb2a55bd52c8a9f8cd6e Mon Sep 17 00:00:00 2001
From: Dmitry Shachnev <mitya57@debian.org>
Date: Tue, 3 Jul 2018 12:47:18 +0300
Subject: [PATCH] Call mk_distinfo.py by its absolute path

---
 configure.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/configure.py b/configure.py
index ca23f937..04211deb 100644
--- a/configure.py
+++ b/configure.py
@@ -1727,7 +1727,7 @@ INSTALLS += qscintilla_api
         # The command to run to generate the .dist-info directory.
         distinfo_dir = os.path.join(target_config.pyqt_module_dir,
                 'PyQt5-' + PYQT_VERSION_STR + '.dist-info')
-        mk_distinfo = sys.executable + ' mk_distinfo.py $(INSTALL_ROOT)' + distinfo_dir + ' installed.txt'
+        mk_distinfo = sys.executable + ' ' + source_path('mk_distinfo.py') + ' $(INSTALL_ROOT)' + distinfo_dir + ' installed.txt'
 
         out_f.write('''
 distinfo.extra = %s
-- 
2.18.0

